# buildforkernels macro hint: when you build a new version or a new release
# that contains bugfixes or other improvements then you must disable the
# "buildforkernels newest" macro for just that build; immediately after
# queuing that build enable the macro again for subsequent builds; that way
# a new akmod package will only get build when a new one is actually needed
%global buildforkernels akmod
%global debug_package %{nil}

Name:          rtl8812au-kmod
Version:       5.13.16
# Taken over by kmodtool
Release:       1%{?dist}
Summary:       Extensible Virtual Display Interface Kernel module
License:       GPLv2
URL:           https://github.com/morrownr/8812au-20210629
Source0:       rtl8812au-%{version}.tar.gz
Requires:      kernel >= 4.15
# get the needed BuildRequires (in parts depending on what we build for)
%global AkmodsBuildRequires %{_bindir}/kmodtool
BuildRequires:  %{AkmodsBuildRequires}

%{!?kernels:BuildRequires: buildsys-build-rpmfusion-kerneldevpkgs-%{?buildforkernels:%{buildforkernels}}%{!?buildforkernels:current}-%{_target_cpu} }
# kmodtool does its magic here
%{expand:%(kmodtool --target %{_target_cpu} --repo rpmfusion --kmodname %{name} %{?buildforkernels:--%{buildforkernels}} %{?kernels:--for-kernels "%{?kernels}"} 2>/dev/null) }

%description
The rtl8812au %{version} display driver kernel module for kernel %{kversion}.

%prep

# error out if there was something wrong with kmodtool
%{?kmodtool_check}

# print kmodtool output for debugging purposes:
kmodtool  --target %{_target_cpu}  --repo rpmfusion --kmodname %{name} %{?buildforkernels:--%{buildforkernels}} %{?kernels:--for-kernels "%{?kernels}"} 2>/dev/null

%setup -q -c -T -a 0

# pushd rtl8812au-%{version}
# #autopatch -p1
# popd

for kernel_version  in %{?kernel_versions} ; do
    cp -a rtl8812au-%{version} _kmod_build_${kernel_version%%___*}
done

%build
export CONFIG_RTL8812AU=m
for kernel_version in %{?kernel_versions}; do
  pushd _kmod_build_${kernel_version%%___*}
    make %{?_smp_mflags} -C ${kernel_version##*___} M=`pwd`
  popd
done


%install
export CONFIG_RTL8812AU=m
for kernel_version in %{?kernel_versions}; do
  mkdir -p  $RPM_BUILD_ROOT%{kmodinstdir_prefix}${kernel_version%%___*}%{kmodinstdir_postfix}
  pushd _kmod_build_${kernel_version%%___*}
    install -m 0755 *.ko ${RPM_BUILD_ROOT}%{kmodinstdir_prefix}${kernel_version%%___*}%{kmodinstdir_postfix}
  popd
done
%{?akmod_install}


%changelog
* Sun Jan 01 2023 Zoran Peričić <zoran.pericic@infomaas.com> 5.9.3-1
- First version

